Name:    f1lt
Summary: Unofficial Formula 1 live timing application
Version: 2.1.1
Release: 1%{?dist}
License: GPLv3+
URL:     http://f1lt.pl/
Source0: http://f1lt.googlecode.com/files/%{name}-%{version}-src.tar.gz

## .desktop file for the application
Source1: %{name}.desktop

## This patch sets up right installation directories  
Patch0:  %{name}-installation-dirs.patch

BuildRequires: qt-devel >= 4.7, desktop-file-utils
Requires(post): gtk2
Requires(postun): gtk2

%description
F1LT is a free unofficial Formula 1 live timing application written 
for Windows, Linux, Symbian and Android systems. 
It is an alternative application to the java applet available 
on the formula1.com site. To use the application you only need an account 
on the formula1.com site, the same you are using for connecting to Live Timing 
from formula1.com. 

Main features of the application:
 - gathering all live timing data 
 - you can see lap time history of every driver
 - session statistics 
 - fastest laps 
 - fastest pit stops
 - speed records
 - charts
 - lap time comparison tool 
 - allows you to compare lap times of up to 4 drivers at once
 - head to head tool 
 - select two drivers and program will be calculating the gap between them, 
   differences between lap and sector times, drawing lap, 
   position and gap charts

The desktop version (Windows and Linux) features also:
 - recording and replaying live timing 
 - every session can be recorded and replayed later, 
   very useful tool when watching a replay of the race
 - session analysis tool 
 - to analyze sessions using charts (lap times, positions, gaps)
 - weather charts
 - database with live timing session files available online
 - session times tool 
 - displays table with all times from a session
 - driver tracker 
 - displays drivers positions on a track map and a radar
 - synchronizing live timing with TV coverage
 - gathering driver best times during the GP weekend

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications

## Icon file copy
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps
cp -p icons/icon.png %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

desktop-file-install                                       \
        --dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}        

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc LICENSE CHANGELOG
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/*.dat
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_bindir}/%{name}

%changelog
* Sun Jun 30 2013 Antonio Trande <sagitter@fedoraproject.org> 2.1.1-1
- Update to 2.1.1

* Sun Jun 09 2013 Antonio Trande <sagitter@fedoraproject.org> 2.1.0-1
- Update to 2.1.0

* Wed May 15 2013 Antonio Trande <sagitter@fedoraproject.org> 2.0.2-3
- Added %%{source} macro
- All files are now equipped with license header

* Wed May 15 2013 Antonio Trande <sagitter@fedoraproject.org> 2.0.2-2
- Added gtk2 Requires(post)/Requires(postun)
- Dist tag fixed to %%{?dist}
- Some grammatical corrections in %%description

* Sun May 12 2013 Antonio Trande <sagitter@fedoraproject.org> 2.0.2-1
- First package
- Added a .desktop file
- Added a patch to fix the installation directories for Fedora
